%define upstream_name Gnome2-Canvas
%define upstream_version 1.002

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3
License:	GPL or Artistic
Group:		Development/GNOME and GTK+
Summary:	Perl module for the gnomecanvas library
Source:		%{upstream_name}-%{upstream_version}.tar.bz2
URL:		http://gtk2-perl.sf.net

BuildRequires:	libgnomecanvas2-devel
BuildRequires:	perl-ExtUtils-Depends 
BuildRequires:	perl-Gtk2 >= 0.26
BuildRequires:	perl-ExtUtils-PkgConfig
Buildrequires:	perl-devel

Requires:	perl-Gtk2 => 0.26
Conflicts:	drakxtools < 9.1-15mdk

provides:	perl-GnomeCanvas = %{version}
Obsoletes:	perl-GnomeCanvas >= 0.28

%description
The Gnome2::Canvas module allows a perl developer to use the GnomeCanvas
widget with Gtk2-Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type d -name CVS | rm -rf 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
make

%install
%make_install

%files
%doc AUTHORS LICENSE canvas_demo
%{_mandir}/*/*
%{perl_vendorarch}/Gnome2/Canvas
%{perl_vendorarch}/Gnome2/Canvas.*
%{perl_vendorarch}/auto/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.2.0-3.mga6
+ Revision: 1027947
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.2.0-2.mga6
+ Revision: 957366
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.002-24.mga6
+ Revision: 844876
- rebuild for soname-ifed perl

* Tue Jun 23 2015 tv <tv> 1.002-23.mga6
+ Revision: 841113
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.002-22.mga5
+ Revision: 746173
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.002-21.mga5
+ Revision: 684878
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 1.002-20.mga5
+ Revision: 632429
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.002-19.mga4
+ Revision: 524778
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.002-18.mga4
+ Revision: 431523
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.002-17.mga3
+ Revision: 367782
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.002-16.mga3
+ Revision: 250651
- rebuild for perl 5.16

* Mon Sep 05 2011 fwang <fwang> 1.002-15.mga2
+ Revision: 138573
- rebuild for updated perl build flags

* Sun Jun 12 2011 sander85 <sander85> 1.002-14.mga2
+ Revision: 104385
- Rebuild for perl 5.14

* Mon Jan 24 2011 jquelin <jquelin> 1.002-13.mga1
+ Revision: 36248
- mageia rebuild
- imported package perl-Gnome2-Canvas

